Cisco Mobility Express: AP join fails

I ran into this issue with several 2600/2800 APs when trying to join them to Mobility Express (ME) WLC. ME was set up on 2800 AP with version 8.5.135.0. AP was 1 minor version off and it did require code update in order to join the controller.

Logs from AP looked as below.

loudlog Error: TRUNCATED_TAR_FILE, not updating ubi vol
logger -p 0 -t upgrade Error: TRUNCATED_TAR_FILE, not updating ubi vol
echo upgrade.sh: Error: TRUNCATED_TAR_FILE, not updating ubi vol
upgrade.sh: Error: TRUNCATED_TAR_FILE, not updating ubi vol

capwap-upgrade script returned failure when calling PREDOWNLOAD.

The issue appeared to be related to high flash usage on AP, above 80% and the AP was unable to download the new image since there was not enough space.

To override storage limitation you will need to manually load AP image with archive command. Make sure TFTP is on the same LAN for faster transfer.

archive download-sw /no-reload tftp://<TFTP IP>/<Image name>

One tricky part is to match AP image to WLC image. For that, you will need this Cisco document. Based on it WLC version 8.5.135.0 matches AP IOS release 15.3(3)JF8.

Leave a reply:

Your email address will not be published.

Site Footer

Sliding Sidebar